Open CASCADE Technology: Dico_DictionaryOfInteger Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Dico_DictionaryOfInteger Class Reference

`#include <Dico_DictionaryOfInteger.hxx>`

Inheritance diagram for Dico_DictionaryOfInteger:
[legend]

## Public Member Functions
| Dico_DictionaryOfInteger ()
Standard_Boolean | HasItem (const Standard_CString name, const Standard_Boolean exact=Standard_False) const
Standard_Boolean | HasItem (const TCollection_AsciiString &name, const Standard_Boolean exact=Standard_True) const
const Standard_Integer & | Item (const Standard_CString name, const Standard_Boolean exact=Standard_True) const
const Standard_Integer & | Item (const TCollection_AsciiString &name, const Standard_Boolean exact=Standard_True) const
Standard_Boolean | GetItem (const Standard_CString name, Standard_Integer &anitem, const Standard_Boolean exact=Standard_True) const
Standard_Boolean | GetItem (const TCollection_AsciiString &name, Standard_Integer &anitem, const Standard_Boolean exact=Standard_True) const
void | SetItem (const Standard_CString name, const Standard_Integer &anitem, const Standard_Boolean exact=Standard_True)
void | SetItem (const TCollection_AsciiString &name, const Standard_Integer &anitem, const Standard_Boolean exact=Standard_True)
Standard_Integer & | NewItem (const Standard_CString name, Standard_Boolean &isvalued, const Standard_Boolean exact=Standard_True)
Standard_Integer & | NewItem (const TCollection_AsciiString &name, Standard_Boolean &isvalued, const Standard_Boolean exact=Standard_True)
Standard_Boolean | RemoveItem (const Standard_CString name, const Standard_Boolean cln=Standard_True, const Standard_Boolean exact=Standard_True)
Standard_Boolean | RemoveItem (const TCollection_AsciiString &name, const Standard_Boolean cln=Standard_True, const Standard_Boolean exact=Standard_True)
void | Clean ()
Standard_Boolean | IsEmpty () const
void | Clear ()
Handle< Dico_DictionaryOfInteger > | Copy () const
Standard_Boolean | Complete (Handle< Dico_DictionaryOfInteger > &acell) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Dico_DictionaryOfInteger::Dico_DictionaryOfInteger | ( |  | ) |

## Member Function Documentation

void Dico_DictionaryOfInteger::Clean | ( |  | ) |

void Dico_DictionaryOfInteger::Clear | ( |  | ) |

Standard_Boolean Dico_DictionaryOfInteger::Complete | ( | Handle< Dico_DictionaryOfInteger > & | acell | ) | const

Handle< Dico_DictionaryOfInteger > Dico_DictionaryOfInteger::Copy | ( |  | ) | const

Standard_Boolean Dico_DictionaryOfInteger::GetItem | ( | const Standard_CString | name,
|  | Standard_Integer & | anitem,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  | const

Standard_Boolean Dico_DictionaryOfInteger::GetItem | ( | const TCollection_AsciiString & | name,
|  | Standard_Integer & | anitem,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  | const

Standard_Boolean Dico_DictionaryOfInteger::HasItem | ( | const Standard_CString | name,
|  | const Standard_Boolean | exact = `Standard_False`
| ) |  | const

Standard_Boolean Dico_DictionaryOfInteger::HasItem | ( | const TCollection_AsciiString & | name,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  | const

Standard_Boolean Dico_DictionaryOfInteger::IsEmpty | ( |  | ) | const

const Standard_Integer& Dico_DictionaryOfInteger::Item | ( | const Standard_CString | name,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  | const

const Standard_Integer& Dico_DictionaryOfInteger::Item | ( | const TCollection_AsciiString & | name,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  | const

Standard_Integer& Dico_DictionaryOfInteger::NewItem | ( | const Standard_CString | name,
|  | Standard_Boolean & | isvalued,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  |

Standard_Integer& Dico_DictionaryOfInteger::NewItem | ( | const TCollection_AsciiString & | name,
|  | Standard_Boolean & | isvalued,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  |

Standard_Boolean Dico_DictionaryOfInteger::RemoveItem | ( | const Standard_CString | name,
|  | const Standard_Boolean | cln = `Standard_True`,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  |

Standard_Boolean Dico_DictionaryOfInteger::RemoveItem | ( | const TCollection_AsciiString & | name,
|  | const Standard_Boolean | cln = `Standard_True`,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  |

void Dico_DictionaryOfInteger::SetItem | ( | const Standard_CString | name,
|  | const Standard_Integer & | anitem,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  |

void Dico_DictionaryOfInteger::SetItem | ( | const TCollection_AsciiString & | name,
|  | const Standard_Integer & | anitem,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |  |

The documentation for this class was generated from the following file:

- Dico_DictionaryOfInteger.hxx